<div class="app-main-container">
  <alert></alert>
  <div class="custom-background">
    <div class="container">
        <div [ngClass]="{'frame': isLoginOpen, 'frame-long': isRegisterOpen}">
            <div class="nav">
                <ul class="links">
                    <li 
                    [ngClass]="{'signin-active': isLoginOpen, 'signin-inactive': isRegisterOpen, 'idle': !isLoginOpen, 'active': isLoginOpen}">
                        <a class="btn" (click)="onLoginButtonClick()">Sign in</a>
                    </li>
                    <li 
                    [ngClass]="{'signup-inactive': isLoginOpen, 'signup-active': isRegisterOpen, 'idle': !isRegisterOpen, 'active': isRegisterOpen}">
                        <a class="btn" (click)="onRegisterButtonClick()">Sign up </a>
                    </li>
                </ul>
            </div>
    
            <div>
                
                <!-- Login form -->
                <form 
                [ngClass]="{'form-signin': isLoginOpen, 'form-signin-left': isRegisterOpen}"
                [formGroup]="loginForm" (ngSubmit)="onLoginSubmit()">
    
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Username</label>
                      <mat-label></mat-label>
                      <input matInput class="form-styling" placeholder="Username" formControlName="username" required>
                      <mat-error>
                        Please provide a valid username
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Password</label>
                      <mat-label></mat-label>
                      <input matInput class="form-styling" type="password" placeholder="Password" formControlName="password" required>
                      <mat-error>
                        Please provide a valid password
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-error *ngIf="loginForm.hasError('internalError')">
                        {{ loginError }}
                    </mat-error>

                      <button [disabled]="loginLoading" class="btn-signin" mat-raised-button color ="accent">
                        <span *ngIf="loginLoading" class="spinner-border spinner-border-sm mr-1"></span>
                        Log In
                      </button>
                  </form>
    
                  <!-- Register form -->
                  <form 
                  [ngClass]="{'form-signup': isRegisterOpen, 'form-signup-left': isLoginOpen}"
                  [formGroup]="registerForm" (ngSubmit)="onRegisterSubmit()">
    
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Email</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput placeholder="Email" formControlName="email" required>
                      <mat-error>
                        Please provide a valid email address
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Username</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput placeholder="Username" formControlName="username" required>
                      <mat-error>
                        Please provide a valid username
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Full Name</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput placeholder="Full Name" formControlName="name" required>
                      <mat-error>
                        Please provide a valid Name
                      </mat-error>
                    </mat-form-field>
                    
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Age</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput type="age" placeholder="Age" formControlName="age" required>
                      <mat-error>
                        Please provide a valid age
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="legacy">
                      <label>Password</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput type="password" placeholder="Password" formControlName="password" required>
                      <mat-error>
                        Please provide a valid password
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field [hideRequiredMarker]="true" class="full-width-input" appearance="accent">
                      <label>Confirm Password</label>
                      <mat-label></mat-label>
                      <input class="form-styling" matInput type="password" placeholder="Confirm Password" formControlName="confirmPassword" required>
                      <mat-error>
                        Password does not match.
                      </mat-error>
                    </mat-form-field>
                    
                    <mat-error *ngIf="registerForm.hasError('internalError')">
                        {{ registerError }}
                    </mat-error>
                    
                    <button [disabled]="registerLoading" class="btn-signup" mat-raised-button color="secondary">
                        <span *ngIf="registerLoading" class="spinner-border spinner-border-sm mr-1"></span>
                        Register
                    </button>
                    
                </form>
                  
            </div>
           
        </div> 
    </div>
</div>
</div>

